Download it now!
Bug 37591 - Writer incorrectly saves property of list
Summary: Writer incorrectly saves property of list
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 RC1
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2011-05-25 09:12 UTC by sasha.libreoffice
Modified: 2018-11-16 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
document with list and screenshot of itsown, Writer not loads size of number (23.50 KB, application/msword)
2011-05-25 09:12 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-05-25 09:12:58 UTC
Created attachment 47153 [details]
document with list and screenshot of itsown, Writer not loads size of number

To reproduce this problem:
0. Start Writer with new empty document
1. Enter 3 paragraphs of text (suppose size of font is 14)
2. Select all text and press F12(numbers appears)
3. Select entire second string(paragraph) and set font size to 26.
4. Select the same string all except first character and set font size to 14
5. Delete first character
Number of line now size 26 and text in line size 14.
6. Save document
7. Reload
Number of second line becomes size 14 (size of number is not saved in document)

I compared this behavior to MSWord 2003. It behaves exactly the same, except that saves size of number. Such file is in attachment.

LibreOffice not loads size of number from doc file.

The same situation with bullet list

reproduced on LibO 3.4 rc 1 on Mandriva 64 bit and Windows XP 32 bit
Comment 1 Gerald 2011-06-18 11:29:12 UTC
It's only a problem by saving in doc-format.
Comment 2 Björn Michaelsen 2011-12-23 12:05:35 UTC Comment hidden (obsolete)
Comment 3 sasha.libreoffice 2011-12-25 07:43:10 UTC
reproduced on LibO 3.5.0 beta 1
file saved in odt format and after reloading it becomes different
Comment 4 A (Andy) 2013-04-27 17:56:22 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit) with odt and doc file

Note: I have inserted three paragraphs and I changed the font size in the second paragraph.  If I open afterwards the doc file in MSO 2007 then the number 3 has a smaller font size, while the rest of the text has the font size 14.
Comment 5 QA Administrators 2015-03-04 02:19:32 UTC Comment hidden (obsolete)
Comment 6 geraldg 2015-03-04 07:35:08 UTC
Tested with 4.4.1.2
Bug exists in doc- and odt-Format.
docx is ok
Comment 7 tommy27 2016-04-16 07:24:39 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:25:45 UTC Comment hidden (obsolete)
Comment 9 geraldg 2017-05-22 18:18:41 UTC
Tested with 5.4.0.0 beta1 
Bug exists in doc- and odt-Format.
docx is ok
Comment 10 QA Administrators 2018-11-16 03:42:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug